#
# spec file for package ecasound (Version 2.0.2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  alsa alsa-devel audiofile esound esound-devel gpp kdelibs kdelibs-artsd kdelibs-devel libgpp libtool python python-devel readline readline-devel
# usedforbuild    aaa_base aaa_dir alsa alsa-devel audiofile autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs esound esound-devel file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd kdelibs kdelibs-artsd kdelibs-devel less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps python python-devel rcs readline readline-devel rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         ecasound
%define pythondir	%(echo `python -c "import sys; print (sys.prefix + '/lib/python' + sys.version[:3])"`)
%define python_includes	%(echo `python -c "import sys; print (sys.prefix + '/include/python' + sys.version[:3])"`)
%define python_sitepkgsdir %(echo `python -c "import sys; print (sys.prefix + '/lib/python' + sys.version[:3] + '/site-packages/')"`)
%define python_compile_opt python -O -c "import compileall; compileall.compile_dir('.')"
%define python_compile python -c "import compileall; compileall.compile_dir('.')"
Summary:      Multitrack audio processing tool
Version:      2.0.2
Release:      53
Copyright: GPL
Group: Applications/Sound
BuildRoot: /tmp/%{name}-%{version}-root
URL: http://ecasound.seul.org/
Source: %{name}-%{version}.tar.bz2
Patch: ecasound.dif
Patch1: ecasound-readline.dif
Patch2: ecasound.dif2
Patch3: ecasound-atomic.dif

%description
Ecasound is a software package designed for multitrack audio
processing. It can be used for simple tasks like audio playback,
recording and format conversions, as well as for multitrack effect
processing, mixing, recording and signal recycling. Ecasound supports
a wide range of audio inputs, outputs and effect algorithms. Several
open-source audio packages, like for instance ALSA, OSS, mpg123, lame,
libaudiofile and MikMod, are directly supported. One of the advantages
of ecasound's chain-based design is that effects can easily be
combined both in series and in parallel. Oscillators and MIDI-CCs
can be used for controlling effect parameters. Included user-interfaces
are ecasound - a versatile console mode interface, qtecasound -
a Qt-based X-interface and various command-line utils suitable for
batch processing.

Authors:
--------
    Kai Vehmanen <kaiv@wakkanet.fi>

SuSE series: snd

%package plugins
Summary:      Additional ecasound plugins
Group: Applications/Sound
Requires: ecasound
Autoreqprov:	off

%description plugins
Additional ecasound plugins (ALSA, Audiofile, aRts).

Authors:
--------
    Kai Vehmanen <kaiv@wakkanet.fi>

SuSE series: snd

%package devel
Summary:      Library header files for ecasound
Group: Development/Libraries
Requires: ecasound

%description devel
Headers files needed for compiling other programs against
ecasound libraries.

Authors:
--------
    Kai Vehmanen <kaiv@wakkanet.fi>

SuSE series: snd

%package -n pyecasound
Summary:      Python bindings to ecasound control interface
Group: Applications/Sound
Requires: ecasound

%description -n pyecasound
Python bindings to ecasound control interface.

Authors:
--------
    Kai Vehmanen <kaiv@wakkanet.fi>

SuSE series: snd

%prep
%setup
%patch
%patch1
%patch2
%ifarch s390
%patch3
%endif
%suse_update_config -fl

%build
# libtoolize -f
aclocal
automake -a
autoconf
CFLAGS="$RPM_OPT_FLAGS" \
CXXFLAGS="$CXXFLAGS $RPM_OPT_FLAGS" \
QTDIR=/usr/lib/qt2 \
host_os=linux-gnu \
./configure --prefix=%{_prefix} --disable-static \
     --enable-audiofile=yes --enable-arts=yes --enable-alsa-rawmidi=yes \
     --with-python-modules=%{pythondir} --with-python-includes=%{python_includes} \
     --enable-sys-readline
PATH=$PATH:/opt/kde2/bin make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
PATH=$PATH:/opt/kde2/bin \
make DESTDIR="$RPM_BUILD_ROOT" mandir=%{_mandir} install-strip
( cd pyecasound
  %python_compile_opt
  %python_compile
  install *.pyc *.pyo $RPM_BUILD_ROOT%{python_sitepkgsdir}
)

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc NEWS README INSTALL BUGS Documentation contrib examples
%doc %{_mandir}/*/*
%{_bindir}/ecasound
%{_bindir}/ecaconvert
%{_bindir}/ecafixdc
%{_bindir}/ecanormalize
%{_bindir}/ecaplay
%{_bindir}/ecasignalview
%{_libdir}/libecasound.so.*
%{_libdir}/libecasoundc.so.*
%{_libdir}/libkvutils.so.*
%config %{_datadir}/ecasound

%files devel
%defattr(-, root, root)
%{_bindir}/ecasound-config
%{_bindir}/ecasoundc-config
%{_libdir}/libecasound.so
%{_libdir}/libecasoundc.so
%{_libdir}/libkvutils.so
%{_libdir}/libecasound.la
%{_libdir}/libecasoundc.la
%{_libdir}/libkvutils.la
%{_includedir}/ecasound
%{_includedir}/kvutils

%files plugins
%defattr(-, root, root)
%{_libdir}/ecasound-plugins

%files -n pyecasound
%defattr(644,root,root,755)
%{python_sitepkgsdir}/*

%changelog -n ecasound
* Wed Aug 29 2001 - tiwai@suse.de
- updated to ver.2.0.2: many fixes, additions - see NEWS.
* Fri Aug 03 2001 - tiwai@suse.de
- added kdelibs-artsd to neededforbuild.
- fixed python version check.
* Mon Jul 30 2001 - tiwai@suse.de
- build with esound and system readline library.
* Wed Jul 25 2001 - tiwai@suse.de
- fixed compile.
* Fri Jul 13 2001 - tiwai@suse.de
- fixed file list for man pages.
* Mon Jul 09 2001 - tiwai@suse.de
- updated to ecasound-2.0.1.
* Wed May 09 2001 - tiwai@suse.de
- updated to ecasound-2.0.0.
* Sun Apr 08 2001 - schwab@suse.de
- Add %%suse_update_config.
- Don't use kernel headers on ia64.
- Fix C++ errors and missing declarations.
* Thu Mar 29 2001 - kukuk@suse.de
- Don't include kernel header files on SPARC (should be fixed
  for all architectures)
* Tue Jan 30 2001 - tiwai@suse.de
- Updated to 1.8.5d15
- new package ecasound-plugins, pyecasound
- ecasound-qt is provided by qtecasound package.
* Fri Dec 01 2000 - ro@suse.de
- typo fixed
* Thu Nov 30 2000 - ro@suse.de
- fixed neededforbuild
* Fri Nov 03 2000 - tiwai@suse.de
- Initial version: 1.7.9-r13
